searchNodes=[{"doc":"Lingua wraps Peter M. Stahl's linuga-rs language detection library. This wrapper follows the lingua-rs API closely, so consult the documentation for more information.","ref":"Lingua.html","title":"Lingua","type":"module"},{"doc":"Detect the language of the given input text. By default, all supported languages will be considered and the minimum relative distance is 0.0.Returns the detected language, or a list of languages and their confidence values, or :no_match if the given text doesn't match a language.Options:builder_option: - can be one of the following (defaults to :all_languages)::all_languages - consider every supported language:all_spoken_languages - consider only currently spoken languages:all_languages_with_arabic_script - consider only languages written in Arabic script:all_languages_with_cyrillic_script - consider only languages written in Cyrillic script:all_languages_with_devanagari_script - consider only languages written in Devanagari script:all_languages_with_latin_script - consider only languages written in Latin script:with_languages - consider only the languages supplied in the languages option. Two or more are required. (see below):without_languages - consider all languages except those supplied in the languages option. Two or more are required. (see below)languages: - specify two or more languages to consider or to not consider depending on the builder_option: (defaults to [])with_minimum_relative_distance: - specify the minimum relative distance (0.0 - 0.99) required for a language to be considered a match for the input. See the lingua-rs documentation for details. (defaults to 0.0)compute_language_confidence_values: - returns the full list of language matches for the input and their confidence values. (defaults to false)Exampleiex&gt; Lingua.detect(&quot;this is definitely English&quot;) {:ok, :english} iex&gt; Lingua.detect(&quot;וזה בעברית&quot;) {:ok, :hebrew} iex&gt; Lingua.detect(&quot;państwowych&quot;, builder_option: :with_languages, languages: [:english, :russian, :polish]) {:ok, :polish} iex&gt; Lingua.detect(&quot;ѕидови&quot;, builder_option: :all_languages_with_cyrillic_script) {:ok, :macedonian} iex&gt; Lingua.detect(&quot;כלב&quot;, builder_option: :with_languages, languages: [:english, :russian, :polish]) {:ok, :no_match} iex&gt; Lingua.detect(&quot;what in the world is this&quot;, builder_option: :with_languages, languages: [:english, :russian, :hebrew], compute_language_confidence_values: true) {:ok, [english: 1.0]}","ref":"Lingua.html#detect/2","title":"Lingua.detect/2","type":"function"},{"doc":"Like detect, but returns the result value or raises an error.","ref":"Lingua.html#detect!/2","title":"Lingua.detect!/2","type":"function"},{"doc":"Initialize the detector. Calling this is optional but it may come in handy in cases where you want lingua-rs to load the language corpora so that subsequent calls to detect are fast. The first time the detector is run it can take some time to load (~12 seconds on my Macbook Pro).Exampleiex&gt; Lingua.init() :ok","ref":"Lingua.html#init/0","title":"Lingua.init/0","type":"function"}]